## ros-melodic-joint-trajectory-controller 0.17.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(joint_trajectory_controller)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Load catkin and all dependencies required for this package
find_package(catkin
  REQUIRED COMPONENTS
    actionlib
    angles
    cmake_modules
    roscpp
    urdf
    control_toolbox
    controller_interface
    hardware_interface
    realtime_tools
    control_msgs
    trajectory_msgs
    pluginlib
)

# Declare catkin package
catkin_package(
  CATKIN_DEPENDS
  actionlib
  angles
  roscpp
  urdf
  control_toolbox
  controller_interface
  hardware_interface
  realtime_tools
  control_msgs
  trajectory_msgs
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

if(CATKIN_ENABLE_TESTING AND ENABLE_COVERAGE_TESTING)
  find_package(code_coverage REQUIRED)
  APPEND_COVERAGE_COMPILER_FLAGS()
endif()

add_library(${PROJECT_NAME} src/joint_trajectory_controller.cpp
                            include/joint_trajectory_controller/hardware_interface_adapter.h
                            include/joint_trajectory_controller/init_joint_trajectory.h
                            include/joint_trajectory_controller/joint_trajectory_controller.h
                            include/joint_trajectory_controller/joint_trajectory_controller_impl.h
                            include/joint_trajectory_controller/joint_trajectory_msg_utils.h
                            include/joint_trajectory_controller/joint_trajectory_segment.h
                            include/joint_trajectory_controller/tolerances.h
                            include/trajectory_interface/trajectory_interface.h
                            include/trajectory_interface/quintic_spline_segment.h
                            include/trajectory_interface/pos_vel_acc_state.h)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  find_package(catkin
    REQUIRED COMPONENTS
      actionlib
      controller_manager
      xacro
  )

  find_package(rostest REQUIRED)
  include_directories(include ${catkin_INCLUDE_DIRS})

  catkin_add_gtest(quintic_spline_segment_test test/quintic_spline_segment_test.cpp)
  target_link_libraries(quintic_spline_segment_test ${catkin_LIBRARIES})

  catkin_add_gtest(trajectory_interface_test test/trajectory_interface_test.cpp)
  target_link_libraries(trajectory_interface_test ${catkin_LIBRARIES})

  catkin_add_gtest(joint_trajectory_segment_test test/joint_trajectory_segment_test.cpp)
  target_link_libraries(joint_trajectory_segment_test ${catkin_LIBRARIES})

  catkin_add_gtest(joint_trajectory_msg_utils_test test/joint_trajectory_msg_utils_test.cpp)
  target_link_libraries(joint_trajectory_msg_utils_test ${catkin_LIBRARIES})

  catkin_add_gtest(init_joint_trajectory_test test/init_joint_trajectory_test.cpp)
  target_link_libraries(init_joint_trajectory_test ${catkin_LIBRARIES})

  catkin_add_gtest(trajectory_builder_test test/trajectory_builder_test.cpp)
  target_link_libraries(trajectory_builder_test ${catkin_LIBRARIES})

  catkin_add_gtest(hold_trajectory_builder_test
                   test/hold_trajectory_builder_test.cpp
                   test/test_common.cpp)
  target_link_libraries(hold_trajectory_builder_test ${catkin_LIBRARIES})

  catkin_add_gtest(stop_trajectory_builder_test
                   test/stop_trajectory_builder_test.cpp
                   test/test_common.cpp)
  target_link_libraries(stop_trajectory_builder_test ${catkin_LIBRARIES})

  add_rostest_gtest(tolerances_test
                  test/tolerances.test
                  test/tolerances_test.cpp)
  target_link_libraries(tolerances_test ${catkin_LIBRARIES})

  add_executable(rrbot test/rrbot.cpp)
  target_link_libraries(rrbot ${catkin_LIBRARIES})

  add_executable(rrbot_wrapping test/rrbot_wrapping.cpp)
  target_link_libraries(rrbot_wrapping ${catkin_LIBRARIES})

  add_dependencies(tests rrbot)
  add_dependencies(tests rrbot_wrapping)
  add_dependencies(tests ${PROJECT_NAME})

  add_rostest_gtest(joint_trajectory_controller_test
                    test/joint_trajectory_controller.test
                    test/joint_trajectory_controller_test.cpp
                    test/test_common.cpp)
  target_link_libraries(joint_trajectory_controller_test ${catkin_LIBRARIES})

  add_rostest_gtest(joint_trajectory_controller_stopramp_test
                    test/joint_trajectory_controller_stopramp.test
                    test/joint_trajectory_controller_test.cpp
                    test/test_common.cpp)
  target_link_libraries(joint_trajectory_controller_stopramp_test ${catkin_LIBRARIES})

  add_rostest_gtest(joint_trajectory_controller_vel_test
                    test/joint_trajectory_controller_vel.test
                    test/joint_trajectory_controller_test.cpp
                    test/test_common.cpp)
  target_link_libraries(joint_trajectory_controller_vel_test ${catkin_LIBRARIES})
  target_compile_definitions(joint_trajectory_controller_vel_test PRIVATE TEST_VELOCITY_FF=1)

  add_rostest_gtest(joint_trajectory_controller_wrapping_test
                    test/joint_trajectory_controller_wrapping.test
                    test/joint_trajectory_controller_wrapping_test.cpp)
  target_link_libraries(joint_trajectory_controller_wrapping_test ${catkin_LIBRARIES})

  if(ENABLE_COVERAGE_TESTING)
    set(COVERAGE_EXCLUDES "*/${PROJECT_NAME}/test*")
    add_code_coverage(NAME ${PROJECT_NAME}_coverage)
  endif()

endif()

# Install
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY include/trajectory_interface/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/trajectory_interface/)

# Install library
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
  )

install(FILES ros_control_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# TODO: Install test resource files as well?

=== debian/changelog ===
ros-melodic-joint-trajectory-controller (0.17.1-1stretch) stretch; urgency=high

  * Fix missing virtual destructor
  * Contributors: Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.17.0-1stretch) stretch; urgency=high

  * Add extension point in update function to allow derived classes to perform e.g. additional checks.
  * The stop- and hold-trajectory creation is moved into separate classes,
    to allow derived classes to re-use the stop- and hold-trajectory
    creation code.
  * The old desired state and the old time data are now also stored,
    to allow derived classes to perfrom more comprehensive checks, etc.
  * Contributors: Pilz GmbH and Co. KG, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.16.1-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.16.0-1stretch) stretch; urgency=high

  * Bump CMake version to prevent CMP0048
  * Add #pragma once to new joint_trajectory_controller test
  * Replace header guard with #pragma once
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * Add code_coverage target to CMakeLists.txt
  * Contributors: Bence Magyar, Immanuel Martini, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.15.1-1stretch) stretch; urgency=high

  * Fix instabilities in JTC unittests
  * Add test_common.h
  * Re-enable tolerance tests
  * Make initialization of variables consistent
  * Let getState() return by value
  * Use nullptr (#447 <https://github.com/ros-controls/ros_controllers/issues/447>)
  * Comment out tolerance check tests until #48 <https://github.com/ros-controls/ros_controllers/issues/48> is solved.
  * Execution does not stop when goal gets aborted
  * Fix how we assert that controller is running
  * Introduce EPS for general double comparison
  * Make stopramp tests more stable
  * add missing pluginlib deps. (#451 <https://github.com/ros-controls/ros_controllers/issues/451>)
  * Print error messages for all exceptions
  * Contributors: Bence Magyar, Ian Frosst, Immanuel Martini, Matt Reynolds, Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.15.0-1stretch) stretch; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::array -> std::array
  * mutex to C++11, boost::scoped_lock -> std::lock_guard
  * boost::scoped_ptr -> std::unique_ptr
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.14.3-1stretch) stretch; urgency=high

  * use operators instead of aliases
  * joint_trajectory_controller: fix minor typo in class doc.
  * correctly parse joint trajectory options
  * Remove deprecated parameter hold_trajectory_duration (#386 <https://github.com/ros-controls/ros_controllers/issues/386>)
  * dont print warning about dropped first point, if it is expected behaviour
  * Contributors: AndyZe, G.A. vd. Hoorn, Gennaro Raiola, James Xu, Joachim Schleicher, Karsten Knese

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.14.2-1stretch) stretch; urgency=high

  * Report errors in updateTrajectoryCommand back though action result error_string
  * Remove redundant warning messages
  * Return error string when failing to initialize trajectory from message
  * Changes to allow inheritance from JointTrajectoryController.
  * Update maintainers
  * Contributors: Alexander Gutenkunst, Miguel Prada, Mathias Lüdtke, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.14.1-1stretch) stretch; urgency=high

  * joint_trajectory_controller tests stability improved
  * Use a copy of rt_active_goal in update()
  * Contributors: Kei Okada, Ryosuke Tajima

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.14.0-1stretch) stretch; urgency=high

  * Make the compiler happy in the test.
  * migrate to new pluginlib headers
  * TrajectoryController: Use desired state to calculate hold trajectory (#297 <https://github.com/ros-controls/ros_controllers/issues/297>)
  * Add velocity feedforward term to velocity HardwareInterfaceAdapter (#227 <https://github.com/ros-controls/ros_controllers/issues/227>)
  * Contributors: Chris Lalancette, Mathias Lüdtke, Miguel Prada, agutenkunst

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.13.2-1stretch) stretch; urgency=high

  * Changend the implementation of joint_trajectory_controller to enable the forwarding of the acceleration values from the trajectory
  * Contributors: Bence Magyar, Mart Moerdijk

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.13.1-1stretch) stretch; urgency=high

  * Linted pos_vel joint_trajectory_controllers
  * Added posvel joint_trajectory_controller
    Added a simple posvel joint_trajectory_controller that forwards
    the desired state at the current point in time of the trajectory
    to the joint.
  * Add support for an joint interfaces are not inherited from JointHandle.


=== debian/control ===
Source: ros-melodic-joint-trajectory-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-angles, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-code-coverage, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-hardware-interface, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-trajectory-msgs, ros-melodic-urdf, ros-melodic-xacro
Homepage: https://github.com/ros-controls/ros_controllers/wiki
Standards-Version: 3.9.2

Package: ros-melodic-joint-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-angles, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-controller-interface, ros-melodic-hardware-interface, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-trajectory-msgs, ros-melodic-urdf
Description: Controller for executing joint-space trajectories on a group of joints.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-joint-trajectory-controller//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-joint-trajectory-controller 0.17.3

=== debian/changelog ===
ros-melodic-joint-trajectory-controller (0.17.3-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.17.2-1bionic) bionic; urgency=high

  * JointTrajectoryController: Fix tolerance checking to use state error…
    …from the correct joints
    This fix was already applied to noetic-devel branch. ef2272de81bffe4b1e4a7fc3dc59d4f4c3e6cdb8
  * Contributors: Dean Reading

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Jan 2021 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.17.1-1bionic) bionic; urgency=high

  * Fix missing virtual destructor
  * Contributors: Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.17.0-1bionic) bionic; urgency=high

  * Add extension point in update function to allow derived classes to perform e.g. additional checks.
  * The stop- and hold-trajectory creation is moved into separate classes,
    to allow derived classes to re-use the stop- and hold-trajectory
    creation code.
  * The old desired state and the old time data are now also stored,
    to allow derived classes to perfrom more comprehensive checks, etc.
  * Contributors: Pilz GmbH and Co. KG, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.16.1-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.16.0-1bionic) bionic; urgency=high

  * Bump CMake version to prevent CMP0048
  * Add #pragma once to new joint_trajectory_controller test
  * Replace header guard with #pragma once
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * Add code_coverage target to CMakeLists.txt
  * Contributors: Bence Magyar, Immanuel Martini, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.15.1-1bionic) bionic; urgency=high

  * Fix instabilities in JTC unittests
  * Add test_common.h
  * Re-enable tolerance tests
  * Make initialization of variables consistent
  * Let getState() return by value
  * Use nullptr (#447 <https://github.com/ros-controls/ros_controllers/issues/447>)
  * Comment out tolerance check tests until #48 <https://github.com/ros-controls/ros_controllers/issues/48> is solved.
  * Execution does not stop when goal gets aborted
  * Fix how we assert that controller is running
  * Introduce EPS for general double comparison
  * Make stopramp tests more stable
  * add missing pluginlib deps. (#451 <https://github.com/ros-controls/ros_controllers/issues/451>)
  * Print error messages for all exceptions
  * Contributors: Bence Magyar, Ian Frosst, Immanuel Martini, Matt Reynolds, Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.15.0-1bionic) bionic; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::array -> std::array
  * mutex to C++11, boost::scoped_lock -> std::lock_guard
  * boost::scoped_ptr -> std::unique_ptr
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.14.3-1bionic) bionic; urgency=high

  * use operators instead of aliases
  * joint_trajectory_controller: fix minor typo in class doc.
  * correctly parse joint trajectory options
  * Remove deprecated parameter hold_trajectory_duration (#386 <https://github.com/ros-controls/ros_controllers/issues/386>)
  * dont print warning about dropped first point, if it is expected behaviour
  * Contributors: AndyZe, G.A. vd. Hoorn, Gennaro Raiola, James Xu, Joachim Schleicher, Karsten Knese

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.14.2-1bionic) bionic; urgency=high

  * Report errors in updateTrajectoryCommand back though action result error_string
  * Remove redundant warning messages
  * Return error string when failing to initialize trajectory from message
  * Changes to allow inheritance from JointTrajectoryController.
  * Update maintainers
  * Contributors: Alexander Gutenkunst, Miguel Prada, Mathias Lüdtke, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.14.1-1bionic) bionic; urgency=high

  * joint_trajectory_controller tests stability improved
  * Use a copy of rt_active_goal in update()
  * Contributors: Kei Okada, Ryosuke Tajima

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.14.0-1bionic) bionic; urgency=high

  * Make the compiler happy in the test.
  * migrate to new pluginlib headers
  * TrajectoryController: Use desired state to calculate hold trajectory (#297 <https://github.com/ros-controls/ros_controllers/issues/297>)
  * Add velocity feedforward term to velocity HardwareInterfaceAdapter (#227 <https://github.com/ros-controls/ros_controllers/issues/227>)
  * Contributors: Chris Lalancette, Mathias Lüdtke, Miguel Prada, agutenkunst

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.13.2-1bionic) bionic; urgency=high

  * Changend the implementation of joint_trajectory_controller to enable the forwarding of the acceleration values from the trajectory
  * Contributors: Bence Magyar, Mart Moerdijk



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-angles, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-code-coverage, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-hardware-interface, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-trajectory-msgs, ros-melodic-urdf, ros-melodic-xacro
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-angles, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-code-coverage <!nocheck>, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-controller-interface, ros-melodic-controller-manager <!nocheck>, ros-melodic-hardware-interface, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-roscpp, ros-melodic-rostest <!nocheck>, ros-melodic-trajectory-msgs, ros-melodic-urdf, ros-melodic-xacro <!nocheck>
 Homepage: https://github.com/ros-controls/ros_controllers/wiki
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
